Skip to main content

GET /honeytoken/stats/aggregated/domain

GET 

honeytoken/stats/aggregated/domain

Retrieve aggregated statistics for honeytoken log events grouped by sender domain

Query Parameters

period_from string Required
example 2021-07-06T00:00:00.000Z

period_to string Required
example 2021-07-06T00:00:00.000Z

offset string
Number of items to skip before starting to return results

limit string
Maximum number of items to return per request

domain string
Filter honeytoken logs by from_domain substring

to_email string
Filter honeytoken logs by recipient email (to_email) substring

from_email string
Filter honeytoken logs by sender email (from_email) substring

trusted string
Filter honeytoken logs by trusted status. Comma-separated or JSON array

sort string
Sort field. Example: -count (desc) or count (asc)

Returns

  • dataarray
    • domainstring
      Sender domain
    • countnumber
      Total number of honeytoken log hits for this domain
    • unique_email_countnumber
      Number of unique recipient emails
    • unique_from_email_countnumber
      Number of unique sender emails
Error Codes

400 Bad Request

Bad Request

401 Unauthorized

Unauthorized

500 Internal Server Error

Internal server error